%define dv2sub dv2sub-0.3
%define qdvdauthor_dir %{name}-%{version}


Summary: 	QDVDAuthor, the GUI frontend for dvdauthor and other related tools.
Name:           qdvdauthor
Version:        2.0.0
Release:        %mkrel 2
Group: 		Video
License:	GPL v2
Source0:        http://prdownloads.sourceforge.net/%name/%{name}-%{version}.tar.gz
Source1: 	http://prdownloads.sourceforge.net/dv2sub/dv2sub-0.3.tar.gz
Patch0:		%{name}-desktop.patch
BuildRoot: 	%{_tmppath}/buildroot-%{name}-%{version}
URL: 		http://qdvdauthor.sourceforge.net/
BuildRequires:	ImageMagick-devel 
BuildRequires:	libqt-devel  >= 3.3.7
BuildRequires:	libxine-devel
BuildRequires:	libdv4-devel >= 0.103
BuildRequires:	ImageMagick
Requires:	dvdauthor
Requires:	mjpegtools
Requires:	sox
Requires:      dvd-slideshow
Requires:      qdvdauthor-dv2sub = %{version}-%{release}
Requires: 	glibc >= 2.10.1
Requires: 	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description
'Q' DVD-Author is a GUI frontend for dvdauthor and related tools. The goal is
to provide an easy-to-use, yet powerful and complete interface to generate DVD
menus, slideshows, and videos to burn on a DVD under Linux.

%package dv2sub
Summary: QDVDAuthor, the GUI frontend for dvdauthor and other related tools.
Group: Video
Provides: dv2sub = %{version}-%{release}
Requires: libdv4

%description dv2sub
QDVDAuthor's version of the %{dv2sub} utility for systems that lack it. It 
does not include the dv2sub kino scripts.


%prep
%setup -q 
%setup -T -D -b 1
%patch0 -p0

rm -f bin/dvdproject 
find . -type d -name CVS | xargs rm -rf || true

%build
export PATH="$PATH:$QTDIR/bin" 
export QMAKESPEC=linux-g++
export CFLAGS="$RPM_OPT_FLAGS" 


cd qrender
rm -f ffmpeg
ln -s /usr/include ffmpeg
cd ..
pwd

./configure -n --system-path=%_prefix --no-xine-support \
	--omit-local-ffmpeg --prefix=$RPM_BUILD_ROOT%_prefix --build-qslideshow


# build dv2sub
cd ../dv2sub-*
%configure2_5x
 
%__make


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
./configure -n --install
strip $RPM_BUILD_ROOT%_bindir/q*
rm -f $RPM_BUILD_ROOT%_bindir/dvd-slideshow

mkdir -p $RPM_BUILD_ROOT%_datadir/pixmaps
mkdir -p $RPM_BUILD_ROOT%_datadir/applications
mkdir -p $RPM_BUILD_ROOT%_mandir/man1
mkdir -p $RPM_BUILD_ROOT%_datadir/%name/lib

install -m 0755 lib/* $RPM_BUILD_ROOT/%_datadir/%name/lib/

install -m 0755 $RPM_BUILD_DIR/%{dv2sub}/src/dv2sub %{buildroot}%{_bindir}
install -m 0644 $RPM_BUILD_DIR/%{dv2sub}/doc/dv2sub.1 %{buildroot}%{_mandir}/man1

install -m 0755 bin/qslideshow         $RPM_BUILD_ROOT/%_bindir
install -m 0644 qdvdauthor.png         $RPM_BUILD_ROOT/%_datadir/pixmaps
install -m 0644 qdvdauthor.desktop     $RPM_BUILD_ROOT/%_datadir/applications

mkdir -p %{buildroot}/%{_iconsdir}
mkdir -p %{buildroot}/%{_miconsdir}
mkdir -p %{buildroot}/%{_liconsdir}

convert %{name}.png -size 16x16 %{buildroot}/%{_miconsdir}/%{name}.png
convert %{name}.png -size 32x32 %{buildroot}/%{_iconsdir}/%{name}.png
convert %{name}.png -size 48x48 %{buildroot}/%{_liconsdir}/%{name}.png


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
rm -rf $RPM_BUILD_DIR/dv2sub-*

%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor


%files
%defattr(-,root,root)
%doc INSTALL README COPYING CHANGELOG TODO
%_bindir/qdvdauthor
%_bindir/qslideshow
%_bindir/qplayer
%_bindir/qrender
%_datadir/pixmaps/qdvdauthor.png
%_datadir/applications/qdvdauthor.desktop
%_datadir/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png


%files dv2sub
%defattr(-,root,root)
%{_prefix}/bin/dv2sub
%_mandir/man1/dv2sub.1*
%doc ../dv2sub-*/README ../dv2sub-*/TODO ../dv2sub-*/COPYING ../dv2sub-*/ChangeLog ../dv2sub-*/AUTHORS

%changelog
* Wed Dec 02 2009 Texstar <texstar at gmail.com> 2.0.0-2pclos2010
- rebuild

* Sun Nov 29 2009 slick50 <lxgator@gmail.com> 2.0.0-1pclos2010
- 2.0.0

* Sun Aug 17 2009 slick50 <lxgator@gmail.com> 1.10.0-1pclos2009
- 1.10.0

* Sun May 24 2009 Texstar <texstar@gmail.com> 1.5.0-2pclos2009
- fix rpm group

* Sun Aug 17 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 1.5.0-1
- 1.5.0

* Tue May 13 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 1.2.0-1
- 1.2.0

* Sun May 04 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 1.1.0-1
- 1.1.0

* Mon Jul 30 2007 Torbjorn Turpeinen <tobbe@djura.org> 1.0.0-0.rc1.1
- 1.0.0 rc1

* Sun Apr 29 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.1.5-2
- Rebuild for pclos2007

* Fri Feb 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.5-1mdv2007.0
+ Revision: 118389
- Import qdvdauthor


